# Get a list of job objects

Returns a collection of job objects. This object represents a person's employment details.

Endpoint: GET /rest/jobs
Version: 3.0.0-beta102
Security: oauth_client_credentials_token, oauth_user_token

## Header parameters:

  - `DailyPay-API-Version` (integer)
    The version of the DailyPay API to use for this request. If not provided, the latest version of the API will be used.

## Query parameters:

  - `filter[external_identifiers.primary_identifier]` (string)
    Limit the results to documents with an external identifier matching exactly at the specified key.
    Example: "PRIMARY_ID_98765"

  - `filter[external_identifiers.employee_id]` (string)
    Limit the results to documents with an external identifier matching exactly at the specified key.
    Example: "EMP123456"

  - `filter[external_identifiers.group]` (string)
    Limit the results to documents with an external identifier matching exactly at the specified key.
    Example: "12345"

  - `filter[person.id]` (string)
    Limit the results to documents related to a specific person
    Example: "aa860051-c411-4709-9685-c1b716df611b"

  - `filter[organization.id]` (string)
    _Not yet supported_ Limit the results to documents related to a specific organization
    Example: "f0b30634-108c-439c-a8c1-c6a91197f022"

  - `filter` (string)

## Response 200 fields (application/vnd.api+json):

  - `data` (array, required)

  - `data.type` (string, required)

  - `data.id` (string, required)
    Example: "e9d84b0d-92ba-43c9-93bf-7c993313fa6f"

  - `data.attributes` (object, required)

  - `data.attributes.external_identifiers` (object)
    Holds unique identifiers for the employee or job defined by external organizations.

  - `data.attributes.first_name` (string)
    The first name of the person as it is listed in their employee profile.
    Example: "Edith"

  - `data.attributes.last_name` (string)
    The last name of the person as it is listed in their employee profile.
    Example: "Clarke"

  - `data.attributes.activation_status` (string, required)
    Activation is the process of verifying that data is available for a Job,  and that a person has verified their identity as the Person associated with the Job. Only paychecks from Jobs with activated status will contribute to an earnings balance account.

To deactivate a job, update activation_status to DEACTIVATED.
    Enum: "DEACTIVATED", "DEACTIVATION_PENDING", "ACTIVATION_REQUIRED", "ACTIVATION_UNDER_REVIEW", "ACTIVATED"

  - `data.attributes.wage_rate` (object, required)

  - `data.attributes.wage_rate.amount` (integer, required)
    A monetary quantity expressed in units of the lowest denomination in the associated currency. For example, { amount: 7250, currency: 'USD' } resolves to $72.50.

  - `data.attributes.wage_rate.currency` (string, required)
    A three-letter ISO 4217 currency code. For example, USD for US Dollars, EUR for Euros, or JPY for Japanese Yen.

  - `data.attributes.wage_rate.frequency` (string, required)
    Enum: "HOURLY", "WEEKLY", "BIWEEKLY", "TWICE_MONTHLY", "MONTHLY", "ANNUALLY"

  - `data.attributes.title` (string,null)
    Example: "Computer"

  - `data.attributes.department` (string,null)
    Example: "Finance"

  - `data.attributes.location` (string)
    Example: "New York, New York"

  - `data.attributes.direct_deposit_status` (string, required)
    - SETUP_REQUIRED Direct deposit is not set up for this Job. Update this resource's relationships to set up direct deposit.
- SETUP_PENDING A system action is still pending.
- SETUP_COMPLETE Direct deposit is set up for this Job.
    Enum: "SETUP_REQUIRED", "SETUP_PENDING", "SETUP_COMPLETE"

  - `data.links` (object, required)

  - `data.links.self` (string, required)

  - `data.relationships` (object, required)
    The relationships between the job and other resources, including the accounts to which paychecks from this job are deposited.

  - `data.relationships.person` (object, required)

  - `data.relationships.person.data` (object, required)

  - `data.relationships.person.data.type` (string, required)
    Example: "people"

  - `data.relationships.person.data.id` (string, required)
    Example: "3fa8f641-5717-4562-b3fc-2c963f66afa6"

  - `data.relationships.organization` (object, required)

  - `data.relationships.organization.data` (object, required)

  - `data.relationships.organization.data.type` (string, required)

  - `data.relationships.organization.data.id` (string, required)
    Example: "f0b30634-108c-439c-a8c1-c6a91197f022"

  - `data.relationships.direct_deposit_default_depository` (object)
    The DEPOSITORY account to which paychecks from this job will attempt to be deposited.

  - `data.relationships.direct_deposit_default_depository.data` (object, required)

  - `data.relationships.direct_deposit_default_depository.data.type` (string, required)

  - `data.relationships.direct_deposit_default_depository.data.id` (string, required)

  - `data.relationships.direct_deposit_default_card` (object)
    The CARD account to which paychecks from this job will attempt to be deposited, if the DEPOSITORY account fails.

## Response 400 fields (application/vnd.api+json):

  - `errors` (array, required)
    A list of errors that occurred.

  - `errors.code` (string, required)
    A code that indicates what went wrong. Please consider this an open enum, where new codes may be added over time.
    Example: "INVALID_PARAMETERS"

  - `errors.status` (string, required)
    The HTTP status code for the error.
    Example: "400"

  - `errors.detail` (string, required)
    A message that explains the meaning of the error code. Developers are advised not to make programmatic use of this value, as it may change
    Example: "The request failed because it was not in the correct format or did not contain valid data."

  - `errors.links` (object, required)
    A list of links to resources that may be helpful in resolving the error.

  - `errors.links.about` (string)
    Example: "https://developer.dailypay.com/tag/Errors"

  - `errors.source` (object)
    Location in the request that may have caused the error.

  - `errors.source.parameter` (string)
    The name of the parameter that caused the error.
    Example: "filter[first_name]"

  - `errors.source.pointer` (string)
    A JSON Pointer to the location in the request that caused the error.
    Example: "/data/attributes/first_name"

  - `errors.source.header` (string)
    The name of the header that caused the error.
    Example: "Accept"

  - `errors.meta` (object, required)
    Additional information about the error.

  - `errors.meta.request_id` (string)
    A UUID for the originating request.
    Example: "3c526bf4-f3c0-4c4a-a4cb-95f7db8b3bbe"

  - `errors.meta.trace_id` (string)
    An ID used for tracing purposes.
    Example: "4016616108459136584"

## Response 401 fields (application/vnd.api+json):

  - `errors` (array, required)
    A list of errors that occurred.

  - `errors.status` (string, required)
    The HTTP status code for the error.
    Example: "400"

  - `errors.detail` (string, required)
    A message that explains the meaning of the error code. Developers are advised not to make programmatic use of this value, as it may change
    Example: "The request failed because it was not in the correct format or did not contain valid data."

  - `errors.links` (object, required)
    A list of links to resources that may be helpful in resolving the error.

  - `errors.links.about` (string)
    Example: "https://developer.dailypay.com/tag/Errors"

  - `errors.source` (object)
    Location in the request that may have caused the error.

  - `errors.source.parameter` (string)
    The name of the parameter that caused the error.
    Example: "filter[first_name]"

  - `errors.source.pointer` (string)
    A JSON Pointer to the location in the request that caused the error.
    Example: "/data/attributes/first_name"

  - `errors.source.header` (string)
    The name of the header that caused the error.
    Example: "Accept"

  - `errors.meta` (object, required)
    Additional information about the error.

  - `errors.meta.request_id` (string)
    A UUID for the originating request.
    Example: "3c526bf4-f3c0-4c4a-a4cb-95f7db8b3bbe"

  - `errors.meta.trace_id` (string)
    An ID used for tracing purposes.
    Example: "4016616108459136584"

  - `errors.code` (string, required)
    A code that indicates what went wrong.
    Enum: "INVALID_TOKEN", "UNAUTHORIZED"

## Response 403 fields (application/vnd.api+json):

  - `errors` (array, required)
    A list of errors that occurred.

  - `errors.status` (string, required)
    The HTTP status code for the error.
    Example: "400"

  - `errors.detail` (string, required)
    A message that explains the meaning of the error code. Developers are advised not to make programmatic use of this value, as it may change
    Example: "The request failed because it was not in the correct format or did not contain valid data."

  - `errors.links` (object, required)
    A list of links to resources that may be helpful in resolving the error.

  - `errors.links.about` (string)
    Example: "https://developer.dailypay.com/tag/Errors"

  - `errors.source` (object)
    Location in the request that may have caused the error.

  - `errors.source.parameter` (string)
    The name of the parameter that caused the error.
    Example: "filter[first_name]"

  - `errors.source.pointer` (string)
    A JSON Pointer to the location in the request that caused the error.
    Example: "/data/attributes/first_name"

  - `errors.source.header` (string)
    The name of the header that caused the error.
    Example: "Accept"

  - `errors.meta` (object, required)
    Additional information about the error.

  - `errors.meta.request_id` (string)
    A UUID for the originating request.
    Example: "3c526bf4-f3c0-4c4a-a4cb-95f7db8b3bbe"

  - `errors.meta.trace_id` (string)
    An ID used for tracing purposes.
    Example: "4016616108459136584"

  - `errors.code` (string, required)
    A code that indicates what went wrong.
    Enum: "FORBIDDEN"

## Response 500 fields (application/vnd.api+json):

  - `errors` (array, required)
    A list of errors that occurred.

  - `errors.status` (string, required)
    The HTTP status code for the error.
    Example: "400"

  - `errors.detail` (string, required)
    A message that explains the meaning of the error code. Developers are advised not to make programmatic use of this value, as it may change
    Example: "The request failed because it was not in the correct format or did not contain valid data."

  - `errors.links` (object, required)
    A list of links to resources that may be helpful in resolving the error.

  - `errors.links.about` (string)
    Example: "https://developer.dailypay.com/tag/Errors"

  - `errors.source` (object)
    Location in the request that may have caused the error.

  - `errors.source.parameter` (string)
    The name of the parameter that caused the error.
    Example: "filter[first_name]"

  - `errors.source.pointer` (string)
    A JSON Pointer to the location in the request that caused the error.
    Example: "/data/attributes/first_name"

  - `errors.source.header` (string)
    The name of the header that caused the error.
    Example: "Accept"

  - `errors.meta` (object, required)
    Additional information about the error.

  - `errors.meta.request_id` (string)
    A UUID for the originating request.
    Example: "3c526bf4-f3c0-4c4a-a4cb-95f7db8b3bbe"

  - `errors.meta.trace_id` (string)
    An ID used for tracing purposes.
    Example: "4016616108459136584"

  - `errors.code` (string, required)
    A code that indicates what went wrong.
    Enum: "UNEXPECTED_ERROR"


